curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"properties": {}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Dieser Endpunkt erstellt einen Batch mit Kampagnen. Die maximale Anzahl von Elementen in einer Batch-Anfrage beträgt 50. Die Kampagnen in der Antwort müssen nicht in der gleichen Reihenfolge wie in der Anfrage angegeben sein.
curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"properties": {}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Batch-Vorgang abgeschlossen wurde, formatiert als datetime-Zeichenfolge.
Show child attributes
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Batch-Vorgang gestartet wurde, formatiert als datetime-Zeichenfolge.
Der aktuelle Status des Batch-Vorgangs mit den möglichen Werten: CANCELED, COMPLETE, PENDING, PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Eine Karte von zugehörigen Links, die dem Batch-Vorgang zugeordnet sind.
Show child attributes
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Batch-Vorgang angefordert wurde, formatiert als datetime-Zeichenfolge.